<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Drone Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_drone.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_drone-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Drone Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Models the concept of the drone.  
 <a href="class_drone.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="drone_8hh_source.html">drone.hh</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Drone:</div>
<div class="dyncontent">
<div class="center"><img src="class_drone__inherit__graph.png" border="0" usemap="#_drone_inherit__map" alt="Inheritance graph"/></div>
<map name="_drone_inherit__map" id="_drone_inherit__map">
<area shape="rect" title="Models the concept of the drone." alt="" coords="8,155,69,181"/>
<area shape="rect" href="class_cuboid.html" title="Models the concept of the cuboid." alt="" coords="5,80,72,107"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="7,5,70,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Drone:</div>
<div class="dyncontent">
<div class="center"><img src="class_drone__coll__graph.png" border="0" usemap="#_drone_coll__map" alt="Collaboration graph"/></div>
<map name="_drone_coll__map" id="_drone_coll__map">
<area shape="rect" title="Models the concept of the drone." alt="" coords="68,412,129,439"/>
<area shape="rect" href="class_cuboid.html" title="Models the concept of the cuboid." alt="" coords="172,336,239,363"/>
<area shape="rect" href="class_shape.html" title="Models the concept of the geometric object." alt="" coords="255,222,318,249"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="150,95,303,121"/>
<area shape="rect" href="class_vector.html" title=" " alt="" coords="5,5,144,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac92e53bc078523b250bba5a33c010b33"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#ac92e53bc078523b250bba5a33c010b33">moveForward</a> (const double &amp;angleChange, const double &amp;distance, const int &amp;frames)</td></tr>
<tr class="memdesc:ac92e53bc078523b250bba5a33c010b33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Move drone forward.  <a href="class_drone.html#ac92e53bc078523b250bba5a33c010b33">More...</a><br /></td></tr>
<tr class="separator:ac92e53bc078523b250bba5a33c010b33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe42c3f974859bc10b58e63adb1498c0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#abe42c3f974859bc10b58e63adb1498c0">rotate</a> (const double &amp;rotateAngle, const int &amp;frames)</td></tr>
<tr class="memdesc:abe42c3f974859bc10b58e63adb1498c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotate the drone in OZ axis.  <a href="class_drone.html#abe42c3f974859bc10b58e63adb1498c0">More...</a><br /></td></tr>
<tr class="separator:abe42c3f974859bc10b58e63adb1498c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab692baa4be5c43b72990ce1b01bdc805"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Drone</a> ()</td></tr>
<tr class="memdesc:ab692baa4be5c43b72990ce1b01bdc805"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_drone.html" title="Models the concept of the drone.">Drone</a> class.  <a href="class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">More...</a><br /></td></tr>
<tr class="separator:ab692baa4be5c43b72990ce1b01bdc805"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a667075abb1eb5c54be6418884a387d14"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a667075abb1eb5c54be6418884a387d14">~Drone</a> ()</td></tr>
<tr class="memdesc:a667075abb1eb5c54be6418884a387d14"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_drone.html" title="Models the concept of the drone.">Drone</a> class.  <a href="class_drone.html#a667075abb1eb5c54be6418884a387d14">More...</a><br /></td></tr>
<tr class="separator:a667075abb1eb5c54be6418884a387d14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43e891fd105579c5562ada343df72bb2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a43e891fd105579c5562ada343df72bb2">draw</a> (const std::string &amp;cuboidFilename, const std::string &amp;leftFrontRotorFilename, const std::string &amp;rightFrontRotorFilename, const std::string &amp;leftRearRotorFilename, const std::string &amp;rightRearRotorFilename) const</td></tr>
<tr class="memdesc:a43e891fd105579c5562ada343df72bb2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves the bottom coordinates to a result file.  <a href="class_drone.html#a43e891fd105579c5562ada343df72bb2">More...</a><br /></td></tr>
<tr class="separator:a43e891fd105579c5562ada343df72bb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a440b33102738741a35de3f6a855ac0dd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a440b33102738741a35de3f6a855ac0dd">getCollisionInformation</a> () const override</td></tr>
<tr class="memdesc:a440b33102738741a35de3f6a855ac0dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays error message, that in the next step will be collision with another drone.  <a href="class_drone.html#a440b33102738741a35de3f6a855ac0dd">More...</a><br /></td></tr>
<tr class="separator:a440b33102738741a35de3f6a855ac0dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaf054aec74ad44a41dc5957f1e36b87"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#aaaf054aec74ad44a41dc5957f1e36b87">checkCollision</a> (const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;droneCover) const override</td></tr>
<tr class="memdesc:aaaf054aec74ad44a41dc5957f1e36b87"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if in the next step of movement will be collision with another drone.  <a href="class_drone.html#aaaf054aec74ad44a41dc5957f1e36b87">More...</a><br /></td></tr>
<tr class="separator:aaaf054aec74ad44a41dc5957f1e36b87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_cuboid"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_cuboid')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_cuboid.html">Cuboid</a></td></tr>
<tr class="memitem:a1abf60e93d024b7a01ee5b1a48f1f08a inherit pub_methods_class_cuboid"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">Cuboid</a> ()</td></tr>
<tr class="memdesc:a1abf60e93d024b7a01ee5b1a48f1f08a inherit pub_methods_class_cuboid"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_cuboid.html" title="Models the concept of the cuboid.">Cuboid</a> class.  <a href="class_cuboid.html#a1abf60e93d024b7a01ee5b1a48f1f08a">More...</a><br /></td></tr>
<tr class="separator:a1abf60e93d024b7a01ee5b1a48f1f08a inherit pub_methods_class_cuboid"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba010c63b64540741c25b5e89b7fabbb inherit pub_methods_class_cuboid"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#aba010c63b64540741c25b5e89b7fabbb">~Cuboid</a> ()</td></tr>
<tr class="memdesc:aba010c63b64540741c25b5e89b7fabbb inherit pub_methods_class_cuboid"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_cuboid.html" title="Models the concept of the cuboid.">Cuboid</a> class.  <a href="class_cuboid.html#aba010c63b64540741c25b5e89b7fabbb">More...</a><br /></td></tr>
<tr class="separator:aba010c63b64540741c25b5e89b7fabbb inherit pub_methods_class_cuboid"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac05b065f9298c6577f8bf4af96ae08a2 inherit pub_methods_class_cuboid"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#ac05b065f9298c6577f8bf4af96ae08a2">draw</a> (const std::string &amp;filename) const override</td></tr>
<tr class="memdesc:ac05b065f9298c6577f8bf4af96ae08a2 inherit pub_methods_class_cuboid"><td class="mdescLeft">&#160;</td><td class="mdescRight">Saves the bottom coordinates to a result file.  <a href="class_cuboid.html#ac05b065f9298c6577f8bf4af96ae08a2">More...</a><br /></td></tr>
<tr class="separator:ac05b065f9298c6577f8bf4af96ae08a2 inherit pub_methods_class_cuboid"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a> ()</td></tr>
<tr class="memdesc:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">More...</a><br /></td></tr>
<tr class="separator:aaa8d87171e65e0d8ba3c5459978992a7 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase translation vector.  <a href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">More...</a><br /></td></tr>
<tr class="separator:a499ab02e6fd00d35c87e9409cab672dc inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a> (double change)</td></tr>
<tr class="memdesc:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Increase rotation angle.  <a href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">More...</a><br /></td></tr>
<tr class="separator:a4ab9606f25f5121c5d09e95de802f4c0 inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a935afc9e576015f967d90de56977167d">~Shape</a> ()</td></tr>
<tr class="memdesc:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor for <a class="el" href="class_shape.html" title="Models the concept of the geometric object.">Shape</a> class.  <a href="class_shape.html#a935afc9e576015f967d90de56977167d">More...</a><br /></td></tr>
<tr class="separator:a935afc9e576015f967d90de56977167d inherit pub_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a02f95db1728991ccdd591cf126224038"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a02f95db1728991ccdd591cf126224038">kLeftFrontRotorFile_</a> = &quot;solid/leftFrontRotor.dat&quot;</td></tr>
<tr class="memdesc:a02f95db1728991ccdd591cf126224038"><td class="mdescLeft">&#160;</td><td class="mdescRight">Result file for saving the left front rotor coordinates.  <a href="class_drone.html#a02f95db1728991ccdd591cf126224038">More...</a><br /></td></tr>
<tr class="separator:a02f95db1728991ccdd591cf126224038"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4afed3fce1016f16071976ebb28695c6"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a4afed3fce1016f16071976ebb28695c6">kRightFrontRotorFile_</a> = &quot;solid/rightFrontRotor.dat&quot;</td></tr>
<tr class="memdesc:a4afed3fce1016f16071976ebb28695c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Result file for saving the right front rotor coordinates.  <a href="class_drone.html#a4afed3fce1016f16071976ebb28695c6">More...</a><br /></td></tr>
<tr class="separator:a4afed3fce1016f16071976ebb28695c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4422a4c9a347bd17c8a8677cf5da787"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#ae4422a4c9a347bd17c8a8677cf5da787">kLeftRearRotorFile_</a> = &quot;solid/leftRearRotor.dat&quot;</td></tr>
<tr class="memdesc:ae4422a4c9a347bd17c8a8677cf5da787"><td class="mdescLeft">&#160;</td><td class="mdescRight">Result file for saving the left rear rotor coordinates.  <a href="class_drone.html#ae4422a4c9a347bd17c8a8677cf5da787">More...</a><br /></td></tr>
<tr class="separator:ae4422a4c9a347bd17c8a8677cf5da787"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7722ef37b12631cefe4de331362c1af9"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a7722ef37b12631cefe4de331362c1af9">kRightRearRotorFile_</a> = &quot;solid/rightRearRotor.dat&quot;</td></tr>
<tr class="memdesc:a7722ef37b12631cefe4de331362c1af9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Result file for saving the right rear rotor coordinates.  <a href="class_drone.html#a7722ef37b12631cefe4de331362c1af9">More...</a><br /></td></tr>
<tr class="separator:a7722ef37b12631cefe4de331362c1af9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56f1e93b78d78a6d64929288eee02610"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a56f1e93b78d78a6d64929288eee02610">kDroneFile</a> = &quot;solid/droneBody.dat&quot;</td></tr>
<tr class="memdesc:a56f1e93b78d78a6d64929288eee02610"><td class="mdescLeft">&#160;</td><td class="mdescRight">Result file for saving the drone body coordinates.  <a href="class_drone.html#a56f1e93b78d78a6d64929288eee02610">More...</a><br /></td></tr>
<tr class="separator:a56f1e93b78d78a6d64929288eee02610"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af8bc6a465e5d55fdbd0985a03431a40c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">calculateTranslation</a> (double angleChange, double distance) const</td></tr>
<tr class="memdesc:af8bc6a465e5d55fdbd0985a03431a40c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate translation vector.  <a href="class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">More...</a><br /></td></tr>
<tr class="separator:af8bc6a465e5d55fdbd0985a03431a40c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a43dc06d8b00fd2e9615ad26c72887c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a7a43dc06d8b00fd2e9615ad26c72887c">rotateRotor</a> (const int &amp;frames)</td></tr>
<tr class="memdesc:a7a43dc06d8b00fd2e9615ad26c72887c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotates the rotors.  <a href="class_drone.html#a7a43dc06d8b00fd2e9615ad26c72887c">More...</a><br /></td></tr>
<tr class="separator:a7a43dc06d8b00fd2e9615ad26c72887c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a01a729e3096871a868f52fe47eaa09d5"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a01a729e3096871a868f52fe47eaa09d5">leftFrontRotor_</a></td></tr>
<tr class="memdesc:a01a729e3096871a868f52fe47eaa09d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set of left front rotor coordinates.  <a href="class_drone.html#a01a729e3096871a868f52fe47eaa09d5">More...</a><br /></td></tr>
<tr class="separator:a01a729e3096871a868f52fe47eaa09d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd4d76bee5f0f8cc9ce7f66e14fbb517"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#afd4d76bee5f0f8cc9ce7f66e14fbb517">leftFrontRotorTranslation_</a> {25, 35, 20}</td></tr>
<tr class="memdesc:afd4d76bee5f0f8cc9ce7f66e14fbb517"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default translation of left front rotor.  <a href="class_drone.html#afd4d76bee5f0f8cc9ce7f66e14fbb517">More...</a><br /></td></tr>
<tr class="separator:afd4d76bee5f0f8cc9ce7f66e14fbb517"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1cf098d9ba9b78908abd1f247967987"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#ac1cf098d9ba9b78908abd1f247967987">leftRearRotor_</a></td></tr>
<tr class="memdesc:ac1cf098d9ba9b78908abd1f247967987"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set of left rear rotor coordinates.  <a href="class_drone.html#ac1cf098d9ba9b78908abd1f247967987">More...</a><br /></td></tr>
<tr class="separator:ac1cf098d9ba9b78908abd1f247967987"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4491f34e5c9122fe5dd7504ebb5d84cc"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a4491f34e5c9122fe5dd7504ebb5d84cc">leftRearRotorTranslation_</a> {-35, 12, 20}</td></tr>
<tr class="memdesc:a4491f34e5c9122fe5dd7504ebb5d84cc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default translation of left rear rotor.  <a href="class_drone.html#a4491f34e5c9122fe5dd7504ebb5d84cc">More...</a><br /></td></tr>
<tr class="separator:a4491f34e5c9122fe5dd7504ebb5d84cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6956f76fc5143f63d9dd980094e747e8"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a6956f76fc5143f63d9dd980094e747e8">rightFrontRotor_</a></td></tr>
<tr class="memdesc:a6956f76fc5143f63d9dd980094e747e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set of right front rotor coordinates.  <a href="class_drone.html#a6956f76fc5143f63d9dd980094e747e8">More...</a><br /></td></tr>
<tr class="separator:a6956f76fc5143f63d9dd980094e747e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87cf219b6f515f29b1e3e2927d54249a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a87cf219b6f515f29b1e3e2927d54249a">rightFrontRotorTranslation_</a> {25, -35, 20}</td></tr>
<tr class="memdesc:a87cf219b6f515f29b1e3e2927d54249a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default translation of right front rotor.  <a href="class_drone.html#a87cf219b6f515f29b1e3e2927d54249a">More...</a><br /></td></tr>
<tr class="separator:a87cf219b6f515f29b1e3e2927d54249a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bc30e7bd25f21d497efc9ec16236e4c"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#a2bc30e7bd25f21d497efc9ec16236e4c">rightRearRotor_</a></td></tr>
<tr class="memdesc:a2bc30e7bd25f21d497efc9ec16236e4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set of right rear rotor coordinates.  <a href="class_drone.html#a2bc30e7bd25f21d497efc9ec16236e4c">More...</a><br /></td></tr>
<tr class="separator:a2bc30e7bd25f21d497efc9ec16236e4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc2f37e34cc608ac218b1d4fbada0585"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#afc2f37e34cc608ac218b1d4fbada0585">rightRearRotorTranslation_</a> {-35, -12, 20}</td></tr>
<tr class="memdesc:afc2f37e34cc608ac218b1d4fbada0585"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default translation of right rear rotor.  <a href="class_drone.html#afc2f37e34cc608ac218b1d4fbada0585">More...</a><br /></td></tr>
<tr class="separator:afc2f37e34cc608ac218b1d4fbada0585"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accbaf88fac98bcd39a78f9aadf93a256"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_drone.html#accbaf88fac98bcd39a78f9aadf93a256">kRotorModel_</a> = &quot;solid/rotorModel.dat&quot;</td></tr>
<tr class="memdesc:accbaf88fac98bcd39a78f9aadf93a256"><td class="mdescLeft">&#160;</td><td class="mdescRight">File containing the rotor coordinates model.  <a href="class_drone.html#accbaf88fac98bcd39a78f9aadf93a256">More...</a><br /></td></tr>
<tr class="separator:accbaf88fac98bcd39a78f9aadf93a256"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">allCounter_</a> = 0</td></tr>
<tr class="memdesc:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of total Vector3D objects.  <a href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">More...</a><br /></td></tr>
<tr class="separator:a52b1f33f515746a215cd461bcd5e5d3f inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">static unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">currentCounter_</a> = 0</td></tr>
<tr class="memdesc:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of current Vector3D objects.  <a href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">More...</a><br /></td></tr>
<tr class="separator:aa807a43b362e4ef73df68fe95813ec4a inherit pub_static_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_cuboid"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_cuboid')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_cuboid.html">Cuboid</a></td></tr>
<tr class="memitem:a8e5ab60bcdf1e2a0571f1d38800543a4 inherit pro_methods_class_cuboid"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#a8e5ab60bcdf1e2a0571f1d38800543a4">translateCover</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a8e5ab60bcdf1e2a0571f1d38800543a4 inherit pro_methods_class_cuboid"><td class="mdescLeft">&#160;</td><td class="mdescRight">Translates the drone cover. Moves the drone cover the same translation vector as the drone body.  <a href="class_cuboid.html#a8e5ab60bcdf1e2a0571f1d38800543a4">More...</a><br /></td></tr>
<tr class="separator:a8e5ab60bcdf1e2a0571f1d38800543a4 inherit pro_methods_class_cuboid"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01ff3d2d1f5d2736d614bfe2adf695dd inherit pro_methods_class_cuboid"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#a01ff3d2d1f5d2736d614bfe2adf695dd">getNextStepCover</a> (const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;translation) const</td></tr>
<tr class="memdesc:a01ff3d2d1f5d2736d614bfe2adf695dd inherit pro_methods_class_cuboid"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate the coordinates of drone cover in next step of animation (movement)  <a href="class_cuboid.html#a01ff3d2d1f5d2736d614bfe2adf695dd">More...</a><br /></td></tr>
<tr class="separator:a01ff3d2d1f5d2736d614bfe2adf695dd inherit pro_methods_class_cuboid"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_methods_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_static_methods_class_shape')"><img src="closed.png" alt="-"/>&#160;Static Protected Member Functions inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="memItemLeft" align="right" valign="top">static double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">makeRadians</a> (double degree)</td></tr>
<tr class="memdesc:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate degrees to radians.  <a href="class_shape.html#a0fa4498ed91a5b05434f99abe79dc86d">More...</a><br /></td></tr>
<tr class="separator:a0fa4498ed91a5b05434f99abe79dc86d inherit pro_static_methods_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_cuboid"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_cuboid')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_cuboid.html">Cuboid</a></td></tr>
<tr class="memitem:ade7f4821f35a2b32d2b969f30d0ed9be inherit pro_attribs_class_cuboid"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_cuboid.html#ade7f4821f35a2b32d2b969f30d0ed9be">cuboidCover_</a></td></tr>
<tr class="memdesc:ade7f4821f35a2b32d2b969f30d0ed9be inherit pro_attribs_class_cuboid"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set of drone cover coordinates used in checkCollision functions.  <a href="class_cuboid.html#ade7f4821f35a2b32d2b969f30d0ed9be">More...</a><br /></td></tr>
<tr class="separator:ade7f4821f35a2b32d2b969f30d0ed9be inherit pro_attribs_class_cuboid"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_shape"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_shape')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_shape.html">Shape</a></td></tr>
<tr class="memitem:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#aba30fe15a525b5f24e09829094213c07">translation_</a></td></tr>
<tr class="memdesc:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Translation vector of geometric object.  <a href="class_shape.html#aba30fe15a525b5f24e09829094213c07">More...</a><br /></td></tr>
<tr class="separator:aba30fe15a525b5f24e09829094213c07 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">angle_</a></td></tr>
<tr class="memdesc:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotation angle of geometric object.  <a href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">More...</a><br /></td></tr>
<tr class="separator:afb6856641aa526f1371e5580e2cd7eb3 inherit pro_attribs_class_shape"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00009">9</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ab692baa4be5c43b72990ce1b01bdc805"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab692baa4be5c43b72990ce1b01bdc805">&#9670;&nbsp;</a></span>Drone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Drone::Drone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Construct new <a class="el" href="class_drone.html" title="Models the concept of the drone.">Drone</a> object. </p>

<p class="definition">Definition at line <a class="el" href="drone_8cpp_source.html#l00042">42</a> of file <a class="el" href="drone_8cpp_source.html">drone.cpp</a>.</p>

</div>
</div>
<a id="a667075abb1eb5c54be6418884a387d14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a667075abb1eb5c54be6418884a387d14">&#9670;&nbsp;</a></span>~Drone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Drone::~Drone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reduces the number of current Vector3D objects by the number of coordinates contained in sets of drone and rotors coordinates. </p>

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00126">126</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af8bc6a465e5d55fdbd0985a03431a40c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8bc6a465e5d55fdbd0985a03431a40c">&#9670;&nbsp;</a></span>calculateTranslation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> Drone::calculateTranslation </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>angleChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>distance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">angleChange</td><td>- rise or fall angle, </td></tr>
    <tr><td class="paramname">distance</td><td>- the distance the drone should move. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Vector3D - translation vector. </dd></dl>

<p class="definition">Definition at line <a class="el" href="drone_8cpp_source.html#l00029">29</a> of file <a class="el" href="drone_8cpp_source.html">drone.cpp</a>.</p>

</div>
</div>
<a id="aaaf054aec74ad44a41dc5957f1e36b87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaf054aec74ad44a41dc5957f1e36b87">&#9670;&nbsp;</a></span>checkCollision()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Drone::checkCollision </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>droneCover</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">droneCover</td><td>- drone cover not visible on scene. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true - in next step will be collision, </dd>
<dd>
false - in next step will not be collision. </dd></dl>

<p>Implements <a class="el" href="class_shape.html#a84f83422477236425ff566120e7e7c05">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="drone_8cpp_source.html#l00038">38</a> of file <a class="el" href="drone_8cpp_source.html">drone.cpp</a>.</p>

</div>
</div>
<a id="a43e891fd105579c5562ada343df72bb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43e891fd105579c5562ada343df72bb2">&#9670;&nbsp;</a></span>draw()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Drone::draw </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>cuboidFilename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>leftFrontRotorFilename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>rightFrontRotorFilename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>leftRearRotorFilename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>rightRearRotorFilename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">cuboidFilename</td><td>- drone body file name, </td></tr>
    <tr><td class="paramname">leftFrontRotorFilename</td><td>- left front rotor file name, </td></tr>
    <tr><td class="paramname">rightFrontRotorFilename</td><td>- right front rotor file name, </td></tr>
    <tr><td class="paramname">leftRearRotorFilename</td><td>- left rear rotor file name, </td></tr>
    <tr><td class="paramname">rightRearRotorFilename</td><td>- right rear rotor file name. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="drone_8cpp_source.html#l00067">67</a> of file <a class="el" href="drone_8cpp_source.html">drone.cpp</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="class_drone_a43e891fd105579c5562ada343df72bb2_cgraph.png" border="0" usemap="#class_drone_a43e891fd105579c5562ada343df72bb2_cgraph" alt=""/></div>
<map name="class_drone_a43e891fd105579c5562ada343df72bb2_cgraph" id="class_drone_a43e891fd105579c5562ada343df72bb2_cgraph">
<area shape="rect" title="Saves the bottom coordinates to a result file." alt="" coords="5,5,107,32"/>
<area shape="rect" href="class_cuboid.html#ac05b065f9298c6577f8bf4af96ae08a2" title="Saves the bottom coordinates to a result file." alt="" coords="155,5,261,32"/>
</map>
</div>

</div>
</div>
<a id="a440b33102738741a35de3f6a855ac0dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a440b33102738741a35de3f6a855ac0dd">&#9670;&nbsp;</a></span>getCollisionInformation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Drone::getCollisionInformation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="class_shape.html#a23a2add7aced7879774dcbc91399cb6b">Shape</a>.</p>

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00148">148</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="ac92e53bc078523b250bba5a33c010b33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac92e53bc078523b250bba5a33c010b33">&#9670;&nbsp;</a></span>moveForward()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">vector&lt; <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &gt; Drone::moveForward </td>
          <td>(</td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>angleChange</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>distance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int &amp;&#160;</td>
          <td class="paramname"><em>frames</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">angleChange</td><td>- rise or fall angle, </td></tr>
    <tr><td class="paramname">distance</td><td>- the distance the drone should move, </td></tr>
    <tr><td class="paramname">frames</td><td>- number of frames in animation. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="class_drone.html" title="Models the concept of the drone.">Drone</a> cover coordinates in the next step. </dd></dl>

<p class="definition">Definition at line <a class="el" href="drone_8cpp_source.html#l00006">6</a> of file <a class="el" href="drone_8cpp_source.html">drone.cpp</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="class_drone_ac92e53bc078523b250bba5a33c010b33_cgraph.png" border="0" usemap="#class_drone_ac92e53bc078523b250bba5a33c010b33_cgraph" alt=""/></div>
<map name="class_drone_ac92e53bc078523b250bba5a33c010b33_cgraph" id="class_drone_ac92e53bc078523b250bba5a33c010b33_cgraph">
<area shape="rect" title="Move drone forward." alt="" coords="5,56,164,83"/>
<area shape="rect" href="class_cuboid.html#a01ff3d2d1f5d2736d614bfe2adf695dd" title="Calculate the coordinates of drone cover in next step of animation (movement)" alt="" coords="212,5,407,32"/>
<area shape="rect" href="class_shape.html#a499ab02e6fd00d35c87e9409cab672dc" title="Increase translation vector." alt="" coords="245,56,373,83"/>
<area shape="rect" href="class_cuboid.html#a8e5ab60bcdf1e2a0571f1d38800543a4" title="Translates the drone cover. Moves the drone cover the same translation vector as the drone body." alt="" coords="224,107,395,133"/>
</map>
</div>

</div>
</div>
<a id="abe42c3f974859bc10b58e63adb1498c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe42c3f974859bc10b58e63adb1498c0">&#9670;&nbsp;</a></span>rotate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Drone::rotate </td>
          <td>(</td>
          <td class="paramtype">const double &amp;&#160;</td>
          <td class="paramname"><em>rotateAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int &amp;&#160;</td>
          <td class="paramname"><em>frames</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rotateAngle</td><td>- rotation angle, </td></tr>
    <tr><td class="paramname">frames</td><td>- number of frames in animation. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="drone_8cpp_source.html#l00020">20</a> of file <a class="el" href="drone_8cpp_source.html">drone.cpp</a>.</p>
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="class_drone_abe42c3f974859bc10b58e63adb1498c0_cgraph.png" border="0" usemap="#class_drone_abe42c3f974859bc10b58e63adb1498c0_cgraph" alt=""/></div>
<map name="class_drone_abe42c3f974859bc10b58e63adb1498c0_cgraph" id="class_drone_abe42c3f974859bc10b58e63adb1498c0_cgraph">
<area shape="rect" title="Rotate the drone in OZ axis." alt="" coords="5,5,113,32"/>
<area shape="rect" href="class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0" title="Increase rotation angle." alt="" coords="161,5,301,32"/>
</map>
</div>

</div>
</div>
<a id="a7a43dc06d8b00fd2e9615ad26c72887c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a43dc06d8b00fd2e9615ad26c72887c">&#9670;&nbsp;</a></span>rotateRotor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Drone::rotateRotor </td>
          <td>(</td>
          <td class="paramtype">const int &amp;&#160;</td>
          <td class="paramname"><em>frames</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Function used in animation of drone movement. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">frames</td><td>- number of frames in animation. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="drone_8cpp_source.html#l00112">112</a> of file <a class="el" href="drone_8cpp_source.html">drone.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a56f1e93b78d78a6d64929288eee02610"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56f1e93b78d78a6d64929288eee02610">&#9670;&nbsp;</a></span>kDroneFile</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Drone::kDroneFile = &quot;solid/droneBody.dat&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00095">95</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="a02f95db1728991ccdd591cf126224038"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02f95db1728991ccdd591cf126224038">&#9670;&nbsp;</a></span>kLeftFrontRotorFile_</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Drone::kLeftFrontRotorFile_ = &quot;solid/leftFrontRotor.dat&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00075">75</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="ae4422a4c9a347bd17c8a8677cf5da787"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4422a4c9a347bd17c8a8677cf5da787">&#9670;&nbsp;</a></span>kLeftRearRotorFile_</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Drone::kLeftRearRotorFile_ = &quot;solid/leftRearRotor.dat&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00085">85</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="a4afed3fce1016f16071976ebb28695c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4afed3fce1016f16071976ebb28695c6">&#9670;&nbsp;</a></span>kRightFrontRotorFile_</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Drone::kRightFrontRotorFile_ = &quot;solid/rightFrontRotor.dat&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00080">80</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="a7722ef37b12631cefe4de331362c1af9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7722ef37b12631cefe4de331362c1af9">&#9670;&nbsp;</a></span>kRightRearRotorFile_</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Drone::kRightRearRotorFile_ = &quot;solid/rightRearRotor.dat&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00090">90</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="accbaf88fac98bcd39a78f9aadf93a256"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accbaf88fac98bcd39a78f9aadf93a256">&#9670;&nbsp;</a></span>kRotorModel_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Drone::kRotorModel_ = &quot;solid/rotorModel.dat&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00053">53</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="a01a729e3096871a868f52fe47eaa09d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01a729e3096871a868f52fe47eaa09d5">&#9670;&nbsp;</a></span>leftFrontRotor_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&gt; Drone::leftFrontRotor_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00013">13</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="afd4d76bee5f0f8cc9ce7f66e14fbb517"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd4d76bee5f0f8cc9ce7f66e14fbb517">&#9670;&nbsp;</a></span>leftFrontRotorTranslation_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> Drone::leftFrontRotorTranslation_ {25, 35, 20}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00018">18</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="ac1cf098d9ba9b78908abd1f247967987"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1cf098d9ba9b78908abd1f247967987">&#9670;&nbsp;</a></span>leftRearRotor_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&gt; Drone::leftRearRotor_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00023">23</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="a4491f34e5c9122fe5dd7504ebb5d84cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4491f34e5c9122fe5dd7504ebb5d84cc">&#9670;&nbsp;</a></span>leftRearRotorTranslation_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> Drone::leftRearRotorTranslation_ {-35, 12, 20}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00028">28</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="a6956f76fc5143f63d9dd980094e747e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6956f76fc5143f63d9dd980094e747e8">&#9670;&nbsp;</a></span>rightFrontRotor_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&gt; Drone::rightFrontRotor_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00033">33</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="a87cf219b6f515f29b1e3e2927d54249a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87cf219b6f515f29b1e3e2927d54249a">&#9670;&nbsp;</a></span>rightFrontRotorTranslation_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> Drone::rightFrontRotorTranslation_ {25, -35, 20}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00038">38</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="a2bc30e7bd25f21d497efc9ec16236e4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bc30e7bd25f21d497efc9ec16236e4c">&#9670;&nbsp;</a></span>rightRearRotor_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;<a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&gt; Drone::rightRearRotor_</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00043">43</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<a id="afc2f37e34cc608ac218b1d4fbada0585"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc2f37e34cc608ac218b1d4fbada0585">&#9670;&nbsp;</a></span>rightRearRotorTranslation_</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> Drone::rightRearRotorTranslation_ {-35, -12, 20}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="drone_8hh_source.html#l00048">48</a> of file <a class="el" href="drone_8hh_source.html">drone.hh</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="drone_8hh_source.html">drone.hh</a></li>
<li><a class="el" href="drone_8cpp_source.html">drone.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_drone.html">Drone</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
